doctype html
md-toolbar(fxLayout='row', fxLayoutAlign='center center')
  div(fxFlex)
  div(fxLayout='row', fxLayoutAlign='start center', fxFill, fxFlex='100%', fxFlex.sm='600px', fxFlex.md='900px', fxFlex.gt-md='1200px')
    //- logo
    div
      a(routerLink='/', mdTooltip='Home')
        img.logo(src='/assets/images/logo.png')
    //- search bar
    div(fxFlex)
      ngx-search-bar
    //- login button
    div(fxLayout='row', fxLayoutAlign='end center', *ngIf='!authService.isLoggedIn')
      //- my account
      a(md-icon-button, routerLink='/login', color='primary', mdTooltip='Login')
        md-icon account_box
    //- menus bar
    div(*ngIf='authService.isLoggedIn')
      //- user menu
      button(md-button, [mdMenuTriggerFor]='userMenu', color='primary')
        md-icon account_box
        span &nbsp; {{ authService.account?.firstname }} {{ authService.account?.lastname }}
      md-menu(#userMenu='mdMenu', [overlapTrigger]='false')
        button(md-menu-item, routerLink='/account')
          md-icon account_box
          span My Account
        button(md-menu-item, disabled)
          md-icon security
          span Change password
        button(md-menu-item, (click)='logout()')
          md-icon power_settings_new
          span Logout
  div(fxFlex)
